package com.usky.backend.controller.web;


import com.usky.backend.service.SysUserService;
import com.usky.common.core.bean.ApiResult;
import com.usky.system.RemoteUserService;
import com.usky.system.domain.SysUser;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 用户信息表 前端控制器
 * </p>
 *
 */
@RestController
@Api(tags = "用户信息表")
@RequestMapping("/sysUser")
public class SysUserController {


    @Autowired
    private SysUserService sysUserService;


    @Autowired
    private RemoteUserService remoteUserService;

    @GetMapping("/list")
    @ApiOperation("用户列表")
    public ApiResult<List<SysUser>> list(){
        return remoteUserService.userList();
    }


}

