package com.usky.backend.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class MetricRealItemVo implements Serializable {

    private String metric;

    private Date timestamp;

    private Object value;

    public MetricRealItemVo() {
    }

    public MetricRealItemVo(String metric, Date timestamp, Object value) {
        this.metric = metric;
        this.timestamp = timestamp;
        this.value = value;
    }

    public MetricRealItemVo(Date timestamp, Object value) {
        this.timestamp = timestamp;
        this.value = value;
    }
}
