package com.usky.backend.service.impl;

import com.usky.backend.domain.request.HistoryQueryVo;
import com.usky.backend.domain.response.HistoryResultVo;
import com.usky.backend.domain.response.MetricItemVo;
import com.usky.backend.service.DataQueryService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Service
public class DataQueryServiceImpl implements DataQueryService {

    @Override
    public List<HistoryResultVo> history(HistoryQueryVo historyQueryVo) {
        List<HistoryResultVo> result  = new ArrayList<>();
        List<MetricItemVo> items = new ArrayList<>();
        items.add(new MetricItemVo(new Date(),12.3));
        HistoryResultVo historyResultVo = new HistoryResultVo(historyQueryVo.getDeviceId(),"cpu.load",items);
        List<MetricItemVo> items1 = new ArrayList<>();
        items1.add(new MetricItemVo(new Date(),11.3));
        HistoryResultVo historyResultVo1 = new HistoryResultVo(historyQueryVo.getDeviceId(),"cpu.5min",items1);
        result.add(historyResultVo);
        result.add(historyResultVo1);
        return result;
    }
}
