package com.usky.backend.client;

import com.usky.backend.domain.request.HistoryQueryVo;
import com.usky.backend.domain.response.HistoryResultVo;
import com.usky.common.core.bean.ApiResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(contextId = "dataQueryClient", value = "usky-backend")
public interface DataQueryClient {

    @PostMapping("/history")
    public ApiResult<List<HistoryResultVo>> history(@RequestBody HistoryQueryVo historyQueryVo);

}





